﻿using System;

namespace HeuristicLab.DataPreprocessing {
  public interface IStatisticsLogic {

    int GetColumnCount();
    int GetRowCount();
    int GetNumericColumnCount();
    int GetNominalColumnCount();
    int GetMissingValueCount();
    int GetMissingValueCount(string variableName);
    int GetRowMissingValueCount(int rowIndex);
    T GetMin<T>(string variableName) where T : IComparable<T>;
    T GetMax<T>(string variableName) where T : IComparable<T>;
    double GetMedian(string variableName);
    double GetAverage(string variableName);
    T GetMostCommonValue<T>(string variableName);
    double GetStandardDeviation(string variableName);
    double GetVariance(string variableName);
    int GetDifferentValuesCount<T>(string variableName);
  }
}
